Skip to content

List all customer work items

GET/api/v1/workspaces/{workspace_slug}/customers/{customer_id}/issues/

List all issues linked to a customer, with filtering by request

Path Parameters

customer_id:requiredstring

The unique identifier of the customer.

workspace_slug:requiredstring

The workspace_slug represents the unique workspace identifier for a workspace in Plane. It can be found in the URL. For example, in the URL https://app.plane.so/my-team/projects/, the workspace slug is my-team.

Scopes

customers.work_items:read

List all customer work items
bash
curl -X GET \
  "https://api.plane.so/api/v1/workspaces/my-workspace/customers/customer-uuid/issues/" \
  -H "X-API-Key: $PLANE_API_KEY" \
  # Or use -H "Authorization: Bearer $PLANE_OAUTH_TOKEN"
Response200
json
{
  "detail": "Customer issues retrieved successfully"
}